<?php
/*******************************************************************************/
//                          InstantCMS v1.8                                    //
//                      http://www.instantcms.ru/                              //
//                      module "Friends of friends"                            //
//                        written by Marat Fatikhov                            //
//                      (nickname  on a site)                             //
//                       E-mail: f-marat@mail.ru                               //
//                                                                             //
//                      LICENSED BY GNU/GPL v2                                 //
//                                                                             //
/********************************************************************************/

session_start();

define("VALID_CMS", 1);
define('PATH', $_SERVER['DOCUMENT_ROOT']);

include(PATH.'/core/cms.php');

$inCore = cmsCore::getInstance();

$inCore->loadClass('db');
$inCore->loadClass('user');

$inDB   = cmsDatabase::getInstance();
$inUser = cmsUser::getInstance();

$inUser->update();

$module_id = $inCore->getModuleId('mod_friends_of_friends');

//   
$access_list = $inDB->get_field('cms_modules', "id = '{$module_id}'", 'access_list');
if(!$inCore->checkContentAccess($access_list)){ return; }

$modulefile = PATH.'/modules/mod_friends_of_friends/module.php';

if (file_exists($modulefile)){
  require_once $modulefile;
}

mod_friends_of_friends($module_id);
return;
?>
